Subject: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: Juri Linkov <[email-masked]>
Date: Tue, 16 Feb 2021 19:28:43 +0200

>> "frame-local variables".
>
> Right, that would be the idea. Is there precedent for this? It seems to
> be the easiest way forward, but I don't know if this is considered
> acceptable.

Window-local tab-line.el uses window-parameter all over the place,
so for frame-local tab-bar.el it's natural to use frame-parameter.

>> Is this acceptable?

Yes, I agree with your reasoning in previous messages.

>> Proposed patch is attached.
>
> I made a mistake in that patch: In (frame-parameter ... ) the first
> argument should have been "frame" not "nil". Please find a fixed
> version attached.

Thanks, now your patch is pushed to master.